from setuptools import setup, find_packages
setup(
    name='k8sfoams',
    version='1.1.1',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/mmpyro/k8s-pod-foamtree',

    description='K8s pod foamtree visualizer',
    author="Michal Marszalek",
    author_email="mmpyro@gmail.com",
    license='Apache 2.0',

    scripts=['k8sfoams'],
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,

    install_requires=[
      'bandit==1.8.0',
      'bitmath==1.3.3.1',
      'blinker==1.9.0',
      'cachetools==5.5.0',
      'certifi==2024.12.14',
      'charset-normalizer==3.4.1',
      'click==8.1.8',
      'durationpy==0.9',
      'exceptiongroup==1.2.2',
      'flake8==7.1.1',
      'flask==3.1.0',
      'google-auth==2.37.0',
      'idna==3.10',
      'iniconfig==2.0.0',
      'itsdangerous==2.2.0',
      'jinja2==3.1.5',
      'kubernetes==31.0.0',
      'markdown-it-py==3.0.0',
      'markupsafe==3.0.2',
      'mccabe==0.7.0',
      'mdurl==0.1.2',
      'mock==5.1.0',
      'mypy==1.14.1',
      'mypy-extensions==1.0.0',
      'oauthlib==3.2.2',
      'packaging==24.2',
      'pbr==6.1.0',
      'pluggy==1.5.0',
      'pyasn1==0.6.1',
      'pyasn1-modules==0.4.1',
      'pycodestyle==2.12.1',
      'pydash==8.0.4',
      'pyflakes==3.2.0',
      'pygments==2.19.1',
      'pytest==8.3.4',
      'python-dateutil==2.9.0.post0',
      'pyyaml==6.0.2',
      'requests==2.32.3',
      'requests-oauthlib==2.0.0',
      'rich==13.9.4',
      'rsa==4.9',
      'six==1.17.0',
      'stevedore==5.4.0',
      'tomli==2.2.1',
      'typing-extensions==4.12.2',
      'urllib3==2.3.0',
      'websocket-client==1.8.0',
      'werkzeug==3.1.3'
    ],
    classifiers=[
    'Development Status :: 3 - Alpha',
    'Topic :: Scientific/Engineering :: Visualization',
    'License :: OSI Approved :: Apache Software License',
    'Programming Language :: Python :: 3.8',
  ],
  keywords = ['foamtree', 'k8s', 'visualization']
)
